Subject: Re: [Netmod-ver-dt] [netmod] Fwd: New Version Notification for draft-verdt-netmod-yang-versioning-reqs-02.txt

From: Benoit Claise <[email-masked]>
Date: Tue, 27 Nov 2018 15:15:25 +0100

Hi,

[I've been behind on many things lately, in part due to 3 weeks of travels]
I finally read all netmod-ver-dt emails, except the "Comments on clacla 
draft" email thread.
Bottom line: the draft content improved and I'm happy with it.
Thanks Joe for the posting the new draft, Rob to lead the pack, and the 
DT for the work.

Regards, Benoit
> A new revision of the YANG version requirements draft has been posted
> based on feedback from IETF 103.  This revision includes the following:
>
> * Revise requirement 1.4 text to remove mention of software release
> versioning
>
> * Simplify the requirement 3.2 text to avoid bias to a particular solution
>
> * Remove the now-redundant requirement 4.4
>
> * Acknowledge the inspiration around versioning from the OpenConfig group
>
> With these changes, the design team is asking the chairs to request WG
> adoption for this document.
>
> Joe
>
>
> -------- Forwarded Message --------
> Subject: New Version Notification for
> draft-verdt-netmod-yang-versioning-reqs-02.txt
> Date: Fri, 23 Nov 2018 06:36:00 -0800
> From: [email-masked]
> To: Joe Clarke <[email-masked]>
>
>
> A new version of I-D, draft-verdt-netmod-yang-versioning-reqs-02.txt
> has been successfully submitted by Joe Clarke and posted to the
> IETF repository.
>
> Name:		draft-verdt-netmod-yang-versioning-reqs
> Revision:	02
> Title:		YANG Module Versioning Requirements
> Document date:	2018-11-23
> Group:		Individual Submission
> Pages:		12
> URL:
> https://www.ietf.org/internet-drafts/draft-verdt-netmod-yang-versioning-reqs-02.txt
> Status:
> https://datatracker.ietf.org/doc/draft-verdt-netmod-yang-versioning-reqs/
> Htmlized:
> https://tools.ietf.org/html/draft-verdt-netmod-yang-versioning-reqs-02
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-verdt-netmod-yang-versioning-reqs
> Diff:
> https://www.ietf.org/rfcdiff?url2=draft-verdt-netmod-yang-versioning-reqs-02
>
> Abstract:
>     This document describes the problems that can arise because of the
>     YANG language module update rules, that require all updates to YANG
>     module preserve strict backwards compatibility.  It also defines the
>     requirements on any solution designed to solve the stated problems.
>     This document does not consider possible solutions, nor endorse any
>     particular solution.
>
>
>
>
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
> .
>